curl --request GET \
--url https://api.hofj.com/v1/products/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"slug": "<string>",
"title": "<string>",
"shortDescription": "<string>",
"description": "<string>",
"archived": true,
"channelId": "<string>",
"venueId": "<string>",
"categoryId": "<string>",
"destinationId": "<string>",
"videoUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"price": 123,
"currency": "<string>",
"minPax": 123,
"maxPax": 123,
"minDate": "2023-12-25",
"maxDate": "2023-12-25",
"defaultDurationInDays": 123,
"hotelSelection": true,
"allowAccommodationList": true,
"isSpecialOffer": true,
"pageCompositionMode": "<string>",
"availabilities": [
{
"status": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"serviceLevels": [
"<unknown>"
]
}
],
"locale": "<string>",
"category": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"venue": {
"id": "<string>",
"title": "<string>",
"slug": "<string>",
"shortDescription": "<string>",
"rating": 123,
"coverUrl": "<string>"
},
"destination": {
"id": "<string>",
"title": "<string>",
"slug": "<string>",
"country": "<string>",
"shortDescription": "<string>",
"geohierarchy": "<string>",
"tileEffectColor": "<string>",
"coverUrl": "<string>"
},
"image": {
"url": "<string>",
"name": "<string>",
"alternativeText": "<string>",
"caption": "<string>",
"width": 123,
"height": 123
},
"gallery": [
{
"url": "<string>",
"name": "<string>",
"alternativeText": "<string>",
"caption": "<string>",
"width": 123,
"height": 123
}
]
}
}curl --request GET \
--url https://api.hofj.com/v1/products/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"slug": "<string>",
"title": "<string>",
"shortDescription": "<string>",
"description": "<string>",
"archived": true,
"channelId": "<string>",
"venueId": "<string>",
"categoryId": "<string>",
"destinationId": "<string>",
"videoUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"price": 123,
"currency": "<string>",
"minPax": 123,
"maxPax": 123,
"minDate": "2023-12-25",
"maxDate": "2023-12-25",
"defaultDurationInDays": 123,
"hotelSelection": true,
"allowAccommodationList": true,
"isSpecialOffer": true,
"pageCompositionMode": "<string>",
"availabilities": [
{
"status": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"serviceLevels": [
"<unknown>"
]
}
],
"locale": "<string>",
"category": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"venue": {
"id": "<string>",
"title": "<string>",
"slug": "<string>",
"shortDescription": "<string>",
"rating": 123,
"coverUrl": "<string>"
},
"destination": {
"id": "<string>",
"title": "<string>",
"slug": "<string>",
"country": "<string>",
"shortDescription": "<string>",
"geohierarchy": "<string>",
"tileEffectColor": "<string>",
"coverUrl": "<string>"
},
"image": {
"url": "<string>",
"name": "<string>",
"alternativeText": "<string>",
"caption": "<string>",
"width": 123,
"height": 123
},
"gallery": [
{
"url": "<string>",
"name": "<string>",
"alternativeText": "<string>",
"caption": "<string>",
"width": 123,
"height": 123
}
]
}
}Use Authorization: Bearer <access_token> from POST /v1/oauth/token, or Authorization: Bearer <api_key>. Dev-only example key (do not use in production): see repository README.
Same as list: distribution channel brand / domain. If omitted, CONTENT_DEFAULT_CHANNEL_DOMAIN must be set.
Locale (e.g. it).
Internal clients only. When true, fetches the product from the CMS with populate=* and returns the extended internal product payload including raw CMS attributes. External clients receive 403.
Product
Show child attributes